#!/usr/bin/env python
# ASN.1 Data model
asn1Files = []
asn1Modules = []
exportedTypes = {}
exportedVariables = {}
importedModules = {}
types = {}
variables = {}
asn1Files.append("./dataview-uniq.asn")
asn1Modules.append("TASTE-Dataview")
exportedTypes["TASTE-Dataview"] = ["T-uint8-t", "T-uint16", "T-uint14", "T-telecommand", "T-telemetry", "TM-packetHeader", "TC-packetHeader", "T-tm-packetID", "T-tc-packetID", "T-packetType", "T-apid", "T-packetSequenceControl", "T-sequenceControlFlags", "T-dataFieldHeader", "T-tc-applicationData", "T-tc-7-1", "T-tc-7-2", "T-tm-applicationData", "T-tm-1-1", "T-tm-1-2", "T-tm-1-2-errors", "T-tm-1-3", "T-tm-1-4", "T-tm-1-7", "T-tm-1-8", "T-checksum", "T-dataFieldHeader-packetPusVersion", "T-tc-packetID-versionNumber", "T-tm-packetID-versionNumber"]
exportedVariables["TASTE-Dataview"] = []
importedModules["TASTE-Dataview"] = []

types["T-uint8-t"] = type("T-uint8-t", (object,), {
    "Line": 4, "CharPositionInLine": 0, "type": type("T-uint8-t_type", (object,), {
        "Line": 4, "CharPositionInLine": 15, "kind": "IntegerType", "Min": "0", "Max": "255"
    })
})

types["T-uint16"] = type("T-uint16", (object,), {
    "Line": 5, "CharPositionInLine": 0, "type": type("T-uint16_type", (object,), {
        "Line": 5, "CharPositionInLine": 13, "kind": "IntegerType", "Min": "0", "Max": "65535"
    })
})

types["T-uint14"] = type("T-uint14", (object,), {
    "Line": 7, "CharPositionInLine": 0, "type": type("T-uint14_type", (object,), {
        "Line": 7, "CharPositionInLine": 13, "kind": "IntegerType", "Min": "0", "Max": "16383"
    })
})

types["T-telecommand"] = type("T-telecommand", (object,), {
    "Line": 9, "CharPositionInLine": 0, "type": type("T-telecommand_type", (object,), {
        "Line": 9, "CharPositionInLine": 18, "kind": "SequenceType", "Children": {
            "packetHeader": type("packetHeader", (object,), {
                "Optional": "False", "Line": 11, "CharPositionInLine": 4, "type": type("packetHeader_type", (object,), {
                    "Line": 11, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "TC-packetHeader"
                })
            }),
            "dataFieldHeader": type("dataFieldHeader", (object,), {
                "Optional": "False", "Line": 12, "CharPositionInLine": 4, "type": type("dataFieldHeader_type", (object,), {
                    "Line": 12, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "T-dataFieldHeader"
                })
            }),
            "applicationData": type("applicationData", (object,), {
                "Optional": "False", "Line": 13, "CharPositionInLine": 4, "type": type("applicationData_type", (object,), {
                    "Line": 13, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-applicationData"
                })
            }),
            "checksum": type("checksum", (object,), {
                "Optional": "False", "Line": 14, "CharPositionInLine": 4, "type": type("checksum_type", (object,), {
                    "Line": 14, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "T-checksum", "Min": "0", "Max": "65535"
                })
            })
        }
    })
})

types["T-telemetry"] = type("T-telemetry", (object,), {
    "Line": 17, "CharPositionInLine": 0, "type": type("T-telemetry_type", (object,), {
        "Line": 17, "CharPositionInLine": 16, "kind": "SequenceType", "Children": {
            "packetHeader": type("packetHeader", (object,), {
                "Optional": "False", "Line": 19, "CharPositionInLine": 4, "type": type("packetHeader_type", (object,), {
                    "Line": 19, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "TM-packetHeader"
                })
            }),
            "dataFieldHeader": type("dataFieldHeader", (object,), {
                "Optional": "False", "Line": 20, "CharPositionInLine": 4, "type": type("dataFieldHeader_type", (object,), {
                    "Line": 20, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "T-dataFieldHeader"
                })
            }),
            "applicationData": type("applicationData", (object,), {
                "Optional": "False", "Line": 21, "CharPositionInLine": 4, "type": type("applicationData_type", (object,), {
                    "Line": 21, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-applicationData"
                })
            }),
            "checksum": type("checksum", (object,), {
                "Optional": "False", "Line": 22, "CharPositionInLine": 4, "type": type("checksum_type", (object,), {
                    "Line": 22, "CharPositionInLine": 20, "kind": "ReferenceType", "ReferencedTypeName": "T-checksum", "Min": "0", "Max": "65535"
                })
            })
        }
    })
})

types["TM-packetHeader"] = type("TM-packetHeader", (object,), {
    "Line": 25, "CharPositionInLine": 0, "type": type("TM-packetHeader_type", (object,), {
        "Line": 25, "CharPositionInLine": 20, "kind": "SequenceType", "Children": {
            "packetID": type("packetID", (object,), {
                "Optional": "False", "Line": 27, "CharPositionInLine": 4, "type": type("packetID_type", (object,), {
                    "Line": 27, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-packetID"
                })
            }),
            "packetSequenceControl": type("packetSequenceControl", (object,), {
                "Optional": "False", "Line": 28, "CharPositionInLine": 4, "type": type("packetSequenceControl_type", (object,), {
                    "Line": 28, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-packetSequenceControl"
                })
            }),
            "packetLength": type("packetLength", (object,), {
                "Optional": "False", "Line": 29, "CharPositionInLine": 4, "type": type("packetLength_type", (object,), {
                    "Line": 29, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            })
        }
    })
})

types["TC-packetHeader"] = type("TC-packetHeader", (object,), {
    "Line": 32, "CharPositionInLine": 0, "type": type("TC-packetHeader_type", (object,), {
        "Line": 32, "CharPositionInLine": 20, "kind": "SequenceType", "Children": {
            "packetID": type("packetID", (object,), {
                "Optional": "False", "Line": 34, "CharPositionInLine": 4, "type": type("packetID_type", (object,), {
                    "Line": 34, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-packetID"
                })
            }),
            "packetSequenceControl": type("packetSequenceControl", (object,), {
                "Optional": "False", "Line": 35, "CharPositionInLine": 4, "type": type("packetSequenceControl_type", (object,), {
                    "Line": 35, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-packetSequenceControl"
                })
            }),
            "packetLength": type("packetLength", (object,), {
                "Optional": "False", "Line": 36, "CharPositionInLine": 4, "type": type("packetLength_type", (object,), {
                    "Line": 36, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            })
        }
    })
})

types["T-tm-packetID"] = type("T-tm-packetID", (object,), {
    "Line": 39, "CharPositionInLine": 0, "type": type("T-tm-packetID_type", (object,), {
        "Line": 39, "CharPositionInLine": 18, "kind": "SequenceType", "Children": {
            "versionNumber": type("versionNumber", (object,), {
                "Optional": "False", "Line": 41, "CharPositionInLine": 4, "type": type("versionNumber_type", (object,), {
                    "Line": 0, "CharPositionInLine": 0, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-packetID-versionNumber", "Min": "0", "Max": "7"
                })
            }),
            "apid": type("apid", (object,), {
                "Optional": "False", "Line": 44, "CharPositionInLine": 4, "type": type("apid_type", (object,), {
                    "Line": 44, "CharPositionInLine": 21, "kind": "ReferenceType", "ReferencedTypeName": "T-apid", "Min": "0", "Max": "2047"
                })
            })
        }
    })
})

types["T-tc-packetID"] = type("T-tc-packetID", (object,), {
    "Line": 47, "CharPositionInLine": 0, "type": type("T-tc-packetID_type", (object,), {
        "Line": 47, "CharPositionInLine": 18, "kind": "SequenceType", "Children": {
            "versionNumber": type("versionNumber", (object,), {
                "Optional": "False", "Line": 49, "CharPositionInLine": 4, "type": type("versionNumber_type", (object,), {
                    "Line": 0, "CharPositionInLine": 0, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-packetID-versionNumber", "Min": "0", "Max": "7"
                })
            }),
            "apid": type("apid", (object,), {
                "Optional": "False", "Line": 52, "CharPositionInLine": 4, "type": type("apid_type", (object,), {
                    "Line": 52, "CharPositionInLine": 21, "kind": "ReferenceType", "ReferencedTypeName": "T-apid", "Min": "0", "Max": "2047"
                })
            })
        }
    })
})

types["T-packetType"] = type("T-packetType", (object,), {
    "Line": 56, "CharPositionInLine": 0, "type": type("T-packetType_type", (object,), {
        "Line": 56, "CharPositionInLine": 17, "kind": "EnumeratedType", "Extensible": "False", "ValuesAutoCalculated": "False", "EnumValues": {
            "telemetry": type("telemetry", (object,), {
                "IntValue": 0, "Line": 58, "CharPositionInLine": 2, "EnumID": "telemetry"
            }),
            "telecommand": type("telecommand", (object,), {
                "IntValue": 1, "Line": 59, "CharPositionInLine": 2, "EnumID": "telecommand"
            })
        }
    })
})

types["T-apid"] = type("T-apid", (object,), {
    "Line": 62, "CharPositionInLine": 0, "type": type("T-apid_type", (object,), {
        "Line": 62, "CharPositionInLine": 11, "kind": "IntegerType", "Min": "0", "Max": "2047"
    })
})

types["T-packetSequenceControl"] = type("T-packetSequenceControl", (object,), {
    "Line": 64, "CharPositionInLine": 0, "type": type("T-packetSequenceControl_type", (object,), {
        "Line": 64, "CharPositionInLine": 28, "kind": "SequenceType", "Children": {
            "sequenceControlFlags": type("sequenceControlFlags", (object,), {
                "Optional": "False", "Line": 66, "CharPositionInLine": 4, "type": type("sequenceControlFlags_type", (object,), {
                    "Line": 66, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-sequenceControlFlags"
                })
            }),
            "sequenceCount": type("sequenceCount", (object,), {
                "Optional": "False", "Line": 67, "CharPositionInLine": 4, "type": type("sequenceCount_type", (object,), {
                    "Line": 67, "CharPositionInLine": 26, "kind": "ReferenceType", "ReferencedTypeName": "T-uint14", "Min": "0", "Max": "16383"
                })
            })
        }
    })
})

types["T-sequenceControlFlags"] = type("T-sequenceControlFlags", (object,), {
    "Line": 70, "CharPositionInLine": 0, "type": type("T-sequenceControlFlags_type", (object,), {
        "Line": 70, "CharPositionInLine": 27, "kind": "EnumeratedType", "Extensible": "False", "ValuesAutoCalculated": "False", "EnumValues": {
            "continuationSequencePacket": type("continuationSequencePacket", (object,), {
                "IntValue": 0, "Line": 72, "CharPositionInLine": 2, "EnumID": "continuationSequencePacket"
            }),
            "firstsSequencePacket": type("firstsSequencePacket", (object,), {
                "IntValue": 1, "Line": 73, "CharPositionInLine": 2, "EnumID": "firstsSequencePacket"
            }),
            "lastSequencePakcet": type("lastSequencePakcet", (object,), {
                "IntValue": 2, "Line": 74, "CharPositionInLine": 2, "EnumID": "lastSequencePakcet"
            }),
            "standAlonePacket": type("standAlonePacket", (object,), {
                "IntValue": 3, "Line": 75, "CharPositionInLine": 2, "EnumID": "standAlonePacket"
            })
        }
    })
})

types["T-dataFieldHeader"] = type("T-dataFieldHeader", (object,), {
    "Line": 78, "CharPositionInLine": 0, "type": type("T-dataFieldHeader_type", (object,), {
        "Line": 78, "CharPositionInLine": 22, "kind": "SequenceType", "Children": {
            "packetPusVersion": type("packetPusVersion", (object,), {
                "Optional": "False", "Line": 81, "CharPositionInLine": 4, "type": type("packetPusVersion_type", (object,), {
                    "Line": 0, "CharPositionInLine": 0, "kind": "ReferenceType", "ReferencedTypeName": "T-dataFieldHeader-packetPusVersion", "Min": "0", "Max": "7"
                })
            }),
            "ackExecutionCompletion": type("ackExecutionCompletion", (object,), {
                "Optional": "False", "Line": 82, "CharPositionInLine": 4, "type": type("ackExecutionCompletion_type", (object,), {
                    "Line": 82, "CharPositionInLine": 28, "kind": "BooleanType"
                })
            }),
            "ackExecutionProgress": type("ackExecutionProgress", (object,), {
                "Optional": "False", "Line": 83, "CharPositionInLine": 4, "type": type("ackExecutionProgress_type", (object,), {
                    "Line": 83, "CharPositionInLine": 28, "kind": "BooleanType"
                })
            }),
            "ackExecutionStart": type("ackExecutionStart", (object,), {
                "Optional": "False", "Line": 84, "CharPositionInLine": 4, "type": type("ackExecutionStart_type", (object,), {
                    "Line": 84, "CharPositionInLine": 28, "kind": "BooleanType"
                })
            }),
            "ackAcceptance": type("ackAcceptance", (object,), {
                "Optional": "False", "Line": 85, "CharPositionInLine": 4, "type": type("ackAcceptance_type", (object,), {
                    "Line": 85, "CharPositionInLine": 28, "kind": "BooleanType"
                })
            })
        }
    })
})

types["T-tc-applicationData"] = type("T-tc-applicationData", (object,), {
    "Line": 88, "CharPositionInLine": 0, "type": type("T-tc-applicationData_type", (object,), {
        "Line": 88, "CharPositionInLine": 25, "kind": "ChoiceType", "Children": {
            "tc-7-1": type("tc_7_1_PRESENT", (object,), {
                "Line": 90, "CharPositionInLine": 4, "EnumID": "tc_7_1_PRESENT", "type": type("tc_7_1_PRESENT_type", (object,), {
                    "Line": 90, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-7-1"
                })
            }),
            "tc-7-2": type("tc_7_2_PRESENT", (object,), {
                "Line": 91, "CharPositionInLine": 4, "EnumID": "tc_7_2_PRESENT", "type": type("tc_7_2_PRESENT_type", (object,), {
                    "Line": 91, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-7-2"
                })
            })
        }
    })
})

types["T-tc-7-1"] = type("T-tc-7-1", (object,), {
    "Line": 94, "CharPositionInLine": 0, "type": type("T-tc-7-1_type", (object,), {
        "Line": 94, "CharPositionInLine": 13, "kind": "SequenceType", "Children": {
            "param1": type("param1", (object,), {
                "Optional": "False", "Line": 96, "CharPositionInLine": 4, "type": type("param1_type", (object,), {
                    "Line": 96, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint8-t", "Min": "0", "Max": "255"
                })
            }),
            "param2": type("param2", (object,), {
                "Optional": "False", "Line": 97, "CharPositionInLine": 4, "type": type("param2_type", (object,), {
                    "Line": 97, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            }),
            "param3": type("param3", (object,), {
                "Optional": "False", "Line": 98, "CharPositionInLine": 4, "type": type("param3_type", (object,), {
                    "Line": 98, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            }),
            "param4": type("param4", (object,), {
                "Optional": "False", "Line": 99, "CharPositionInLine": 4, "type": type("param4_type", (object,), {
                    "Line": 99, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            }),
            "param5": type("param5", (object,), {
                "Optional": "False", "Line": 100, "CharPositionInLine": 4, "type": type("param5_type", (object,), {
                    "Line": 100, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            })
        }
    })
})

types["T-tc-7-2"] = type("T-tc-7-2", (object,), {
    "Line": 104, "CharPositionInLine": 0, "type": type("T-tc-7-2_type", (object,), {
        "Line": 104, "CharPositionInLine": 13, "kind": "SequenceType", "Children": {
            "param1": type("param1", (object,), {
                "Optional": "False", "Line": 106, "CharPositionInLine": 4, "type": type("param1_type", (object,), {
                    "Line": 106, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint8-t", "Min": "0", "Max": "255"
                })
            }),
            "param2": type("param2", (object,), {
                "Optional": "False", "Line": 107, "CharPositionInLine": 4, "type": type("param2_type", (object,), {
                    "Line": 107, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
                })
            })
        }
    })
})

types["T-tm-applicationData"] = type("T-tm-applicationData", (object,), {
    "Line": 110, "CharPositionInLine": 0, "type": type("T-tm-applicationData_type", (object,), {
        "Line": 110, "CharPositionInLine": 25, "kind": "ChoiceType", "Children": {
            "tm-1-1": type("tm_1_1_PRESENT", (object,), {
                "Line": 112, "CharPositionInLine": 4, "EnumID": "tm_1_1_PRESENT", "type": type("tm_1_1_PRESENT_type", (object,), {
                    "Line": 112, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-1"
                })
            }),
            "tm-1-2": type("tm_1_2_PRESENT", (object,), {
                "Line": 113, "CharPositionInLine": 4, "EnumID": "tm_1_2_PRESENT", "type": type("tm_1_2_PRESENT_type", (object,), {
                    "Line": 113, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-2"
                })
            }),
            "tm-1-3": type("tm_1_3_PRESENT", (object,), {
                "Line": 114, "CharPositionInLine": 4, "EnumID": "tm_1_3_PRESENT", "type": type("tm_1_3_PRESENT_type", (object,), {
                    "Line": 114, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-3"
                })
            }),
            "tm-1-4": type("tm_1_4_PRESENT", (object,), {
                "Line": 115, "CharPositionInLine": 4, "EnumID": "tm_1_4_PRESENT", "type": type("tm_1_4_PRESENT_type", (object,), {
                    "Line": 115, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-4"
                })
            }),
            "tm-1-7": type("tm_1_7_PRESENT", (object,), {
                "Line": 116, "CharPositionInLine": 4, "EnumID": "tm_1_7_PRESENT", "type": type("tm_1_7_PRESENT_type", (object,), {
                    "Line": 116, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-7"
                })
            }),
            "tm-1-8": type("tm_1_8_PRESENT", (object,), {
                "Line": 117, "CharPositionInLine": 4, "EnumID": "tm_1_8_PRESENT", "type": type("tm_1_8_PRESENT_type", (object,), {
                    "Line": 117, "CharPositionInLine": 11, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-8"
                })
            })
        }
    })
})

types["T-tm-1-1"] = type("T-tm-1-1", (object,), {
    "Line": 120, "CharPositionInLine": 0, "type": type("T-tm-1-1_type", (object,), {
        "Line": 120, "CharPositionInLine": 13, "kind": "SequenceType", "Children": {
            "tc-packetID": type("tc-packetID", (object,), {
                "Optional": "False", "Line": 122, "CharPositionInLine": 4, "type": type("tc-packetID_type", (object,), {
                    "Line": 122, "CharPositionInLine": 29, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-packetID"
                })
            }),
            "tc-packetSequenceControl": type("tc-packetSequenceControl", (object,), {
                "Optional": "False", "Line": 123, "CharPositionInLine": 4, "type": type("tc-packetSequenceControl_type", (object,), {
                    "Line": 123, "CharPositionInLine": 29, "kind": "ReferenceType", "ReferencedTypeName": "T-packetSequenceControl"
                })
            })
        }
    })
})

types["T-tm-1-2"] = type("T-tm-1-2", (object,), {
    "Line": 125, "CharPositionInLine": 0, "type": type("T-tm-1-2_type", (object,), {
        "Line": 125, "CharPositionInLine": 13, "kind": "SequenceType", "Children": {
            "tc-packetID": type("tc-packetID", (object,), {
                "Optional": "False", "Line": 127, "CharPositionInLine": 4, "type": type("tc-packetID_type", (object,), {
                    "Line": 127, "CharPositionInLine": 29, "kind": "ReferenceType", "ReferencedTypeName": "T-tc-packetID"
                })
            }),
            "tc-packetSequenceControl": type("tc-packetSequenceControl", (object,), {
                "Optional": "False", "Line": 128, "CharPositionInLine": 4, "type": type("tc-packetSequenceControl_type", (object,), {
                    "Line": 128, "CharPositionInLine": 29, "kind": "ReferenceType", "ReferencedTypeName": "T-packetSequenceControl"
                })
            }),
            "error-code": type("error-code", (object,), {
                "Optional": "False", "Line": 129, "CharPositionInLine": 4, "type": type("error-code_type", (object,), {
                    "Line": 129, "CharPositionInLine": 29, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-2-errors"
                })
            })
        }
    })
})

types["T-tm-1-2-errors"] = type("T-tm-1-2-errors", (object,), {
    "Line": 132, "CharPositionInLine": 0, "type": type("T-tm-1-2-errors_type", (object,), {
        "Line": 132, "CharPositionInLine": 20, "kind": "EnumeratedType", "Extensible": "False", "ValuesAutoCalculated": "False", "EnumValues": {
            "illegalAPID": type("illegalAPID", (object,), {
                "IntValue": 0, "Line": 134, "CharPositionInLine": 4, "EnumID": "illegalAPID"
            }),
            "invalidLengthPacket": type("invalidLengthPacket", (object,), {
                "IntValue": 1, "Line": 135, "CharPositionInLine": 4, "EnumID": "invalidLengthPacket"
            }),
            "incorrectChecksum": type("incorrectChecksum", (object,), {
                "IntValue": 2, "Line": 136, "CharPositionInLine": 4, "EnumID": "incorrectChecksum"
            }),
            "illegalPacketType": type("illegalPacketType", (object,), {
                "IntValue": 3, "Line": 137, "CharPositionInLine": 4, "EnumID": "illegalPacketType"
            }),
            "illegalPacketSubtype": type("illegalPacketSubtype", (object,), {
                "IntValue": 4, "Line": 138, "CharPositionInLine": 4, "EnumID": "illegalPacketSubtype"
            }),
            "illegalApplicationData": type("illegalApplicationData", (object,), {
                "IntValue": 5, "Line": 139, "CharPositionInLine": 4, "EnumID": "illegalApplicationData"
            })
        }
    })
})

types["T-tm-1-3"] = type("T-tm-1-3", (object,), {
    "Line": 142, "CharPositionInLine": 0, "type": type("T-tm-1-3_type", (object,), {
        "Line": 142, "CharPositionInLine": 13, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-1"
    })
})

types["T-tm-1-4"] = type("T-tm-1-4", (object,), {
    "Line": 144, "CharPositionInLine": 0, "type": type("T-tm-1-4_type", (object,), {
        "Line": 144, "CharPositionInLine": 13, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-2"
    })
})

types["T-tm-1-7"] = type("T-tm-1-7", (object,), {
    "Line": 146, "CharPositionInLine": 0, "type": type("T-tm-1-7_type", (object,), {
        "Line": 146, "CharPositionInLine": 13, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-1"
    })
})

types["T-tm-1-8"] = type("T-tm-1-8", (object,), {
    "Line": 148, "CharPositionInLine": 0, "type": type("T-tm-1-8_type", (object,), {
        "Line": 148, "CharPositionInLine": 13, "kind": "ReferenceType", "ReferencedTypeName": "T-tm-1-2"
    })
})

types["T-checksum"] = type("T-checksum", (object,), {
    "Line": 150, "CharPositionInLine": 0, "type": type("T-checksum_type", (object,), {
        "Line": 150, "CharPositionInLine": 15, "kind": "ReferenceType", "ReferencedTypeName": "T-uint16", "Min": "0", "Max": "65535"
    })
})

types["T-dataFieldHeader-packetPusVersion"] = type("T-dataFieldHeader-packetPusVersion", (object,), {
    "Line": 0, "CharPositionInLine": 0, "type": type("T-dataFieldHeader-packetPusVersion_type", (object,), {
        "Line": 81, "CharPositionInLine": 21, "kind": "IntegerType", "Min": "0", "Max": "7"
    })
})

types["T-tc-packetID-versionNumber"] = type("T-tc-packetID-versionNumber", (object,), {
    "Line": 0, "CharPositionInLine": 0, "type": type("T-tc-packetID-versionNumber_type", (object,), {
        "Line": 49, "CharPositionInLine": 21, "kind": "IntegerType", "Min": "0", "Max": "7"
    })
})

types["T-tm-packetID-versionNumber"] = type("T-tm-packetID-versionNumber", (object,), {
    "Line": 0, "CharPositionInLine": 0, "type": type("T-tm-packetID-versionNumber_type", (object,), {
        "Line": 41, "CharPositionInLine": 21, "kind": "IntegerType", "Min": "0", "Max": "7"
    })
})



asn1Modules.append("TASTE-BasicTypes")
exportedTypes["TASTE-BasicTypes"] = ["T-Int32", "T-UInt32", "T-Int8", "T-UInt8", "T-Boolean"]
exportedVariables["TASTE-BasicTypes"] = []
importedModules["TASTE-BasicTypes"] = []

types["T-Int32"] = type("T-Int32", (object,), {
    "Line": 161, "CharPositionInLine": 0, "type": type("T-Int32_type", (object,), {
        "Line": 161, "CharPositionInLine": 13, "kind": "IntegerType", "Min": "-2147483648", "Max": "2147483647"
    })
})

types["T-UInt32"] = type("T-UInt32", (object,), {
    "Line": 163, "CharPositionInLine": 0, "type": type("T-UInt32_type", (object,), {
        "Line": 163, "CharPositionInLine": 13, "kind": "IntegerType", "Min": "0", "Max": "4294967295"
    })
})

types["T-Int8"] = type("T-Int8", (object,), {
    "Line": 165, "CharPositionInLine": 0, "type": type("T-Int8_type", (object,), {
        "Line": 165, "CharPositionInLine": 11, "kind": "IntegerType", "Min": "-128", "Max": "127"
    })
})

types["T-UInt8"] = type("T-UInt8", (object,), {
    "Line": 167, "CharPositionInLine": 0, "type": type("T-UInt8_type", (object,), {
        "Line": 167, "CharPositionInLine": 12, "kind": "IntegerType", "Min": "0", "Max": "255"
    })
})

types["T-Boolean"] = type("T-Boolean", (object,), {
    "Line": 169, "CharPositionInLine": 0, "type": type("T-Boolean_type", (object,), {
        "Line": 169, "CharPositionInLine": 14, "kind": "BooleanType"
    })
})


