#! /usr/bin/python

Ada, C, GUI, SIMULINK, VHDL, OG, RTDS, SYSTEM_C, SCADE6 = range(9)
thread, passive, unknown = range(3)
PI, RI = range(2)
synch, asynch = range(2)
param_in, param_out = range(2)
UPER, NATIVE, ACN = range(3)
cyclic, sporadic, variator, protected, unprotected = range(5)
enumerated, sequenceof, sequence, set, setof, integer, boolean, real, choice, octetstring, string = range(11)
functions = {}

functions['ground'] = {
    'name_with_case' : 'Ground',
    'runtime_nature': thread,
    'language': GUI,
    'zipfile': '',
    'interfaces': {},
    'functional_states' : {}
}

functions['ground']['interfaces']['sendTMtoGround'] = {
    'port_name': 'sendTMtoGround',
    'parent_fv': 'ground',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['ground']['interfaces']['sendTMtoGround']['paramsInOrdered'] = ['tm']

functions['ground']['interfaces']['sendTMtoGround']['paramsOutOrdered'] = []

functions['ground']['interfaces']['sendTMtoGround']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'sendTMtoGround',
    'param_direction': param_in
}

functions['ground']['interfaces']['receiveTCfromGround'] = {
    'port_name': 'receiveTCfromGround',
    'parent_fv': 'ground',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'ground_network',
    'calling_threads': {},
    'distant_name': 'receiveTCfromGround',
    'queue_size': 1
}

functions['ground']['interfaces']['receiveTCfromGround']['paramsInOrdered'] = ['tm']

functions['ground']['interfaces']['receiveTCfromGround']['paramsOutOrdered'] = []

functions['ground']['interfaces']['receiveTCfromGround']['in']['tm'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'receiveTCfromGround',
    'param_direction': param_in
}

functions['tc_dispatcher'] = {
    'name_with_case' : 'TC_dispatcher',
    'runtime_nature': thread,
    'language': OG,
    'zipfile': '',
    'interfaces': {},
    'functional_states' : {}
}

functions['tc_dispatcher']['interfaces']['receiveTCfromDriver'] = {
    'port_name': 'receiveTCfromDriver',
    'parent_fv': 'tc_dispatcher',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['tc_dispatcher']['interfaces']['receiveTCfromDriver']['paramsInOrdered'] = ['tc']

functions['tc_dispatcher']['interfaces']['receiveTCfromDriver']['paramsOutOrdered'] = []

functions['tc_dispatcher']['interfaces']['receiveTCfromDriver']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'receiveTCfromDriver',
    'param_direction': param_in
}

functions['tc_dispatcher']['interfaces']['send1_TM'] = {
    'port_name': 'send1_TM',
    'parent_fv': 'tc_dispatcher',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': variator,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 5
}

functions['tc_dispatcher']['interfaces']['send1_TM']['paramsInOrdered'] = ['tm']

functions['tc_dispatcher']['interfaces']['send1_TM']['paramsOutOrdered'] = []

functions['tc_dispatcher']['interfaces']['send1_TM']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'send1_TM',
    'param_direction': param_in
}

functions['tc_dispatcher']['interfaces']['send2_TM'] = {
    'port_name': 'send2_TM',
    'parent_fv': 'tc_dispatcher',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': variator,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 5
}

functions['tc_dispatcher']['interfaces']['send2_TM']['paramsInOrdered'] = ['tm']

functions['tc_dispatcher']['interfaces']['send2_TM']['paramsOutOrdered'] = []

functions['tc_dispatcher']['interfaces']['send2_TM']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'send2_TM',
    'param_direction': param_in
}

functions['tc_dispatcher']['interfaces']['receiver1_TC'] = {
    'port_name': 'receiver1_TC',
    'parent_fv': 'tc_dispatcher',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tc_receiver1',
    'calling_threads': {},
    'distant_name': 'receiver1_TC',
    'queue_size': 1
}

functions['tc_dispatcher']['interfaces']['receiver1_TC']['paramsInOrdered'] = ['tc']

functions['tc_dispatcher']['interfaces']['receiver1_TC']['paramsOutOrdered'] = []

functions['tc_dispatcher']['interfaces']['receiver1_TC']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'receiver1_TC',
    'param_direction': param_in
}

functions['tc_dispatcher']['interfaces']['receiver2_TC'] = {
    'port_name': 'receiver2_TC',
    'parent_fv': 'tc_dispatcher',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tc_receiver2',
    'calling_threads': {},
    'distant_name': 'receiver2_TC',
    'queue_size': 1
}

functions['tc_dispatcher']['interfaces']['receiver2_TC']['paramsInOrdered'] = ['tc']

functions['tc_dispatcher']['interfaces']['receiver2_TC']['paramsOutOrdered'] = []

functions['tc_dispatcher']['interfaces']['receiver2_TC']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'receiver2_TC',
    'param_direction': param_in
}

functions['tc_dispatcher']['interfaces']['sendTMtoDriver'] = {
    'port_name': 'sendTMtoDriver',
    'parent_fv': 'tc_dispatcher',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tmtc_driver',
    'calling_threads': {},
    'distant_name': 'sendTMtoDriver',
    'queue_size': 1
}

functions['tc_dispatcher']['interfaces']['sendTMtoDriver']['paramsInOrdered'] = ['tm']

functions['tc_dispatcher']['interfaces']['sendTMtoDriver']['paramsOutOrdered'] = []

functions['tc_dispatcher']['interfaces']['sendTMtoDriver']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'sendTMtoDriver',
    'param_direction': param_in
}

functions['tc_receiver1'] = {
    'name_with_case' : 'TC_receiver1',
    'runtime_nature': thread,
    'language': C,
    'zipfile': '',
    'interfaces': {},
    'functional_states' : {}
}

functions['tc_receiver1']['functional_states']['apid'] = {
    'fullFsName' : 'apid',
    'typeName' : 'T-apid',
    'moduleName' : 'TASTE-Dataview',
    'asn1FileName' : './dataview-uniq.asn'
}

functions['tc_receiver1']['interfaces']['receiver1_TC'] = {
    'port_name': 'receiver1_TC',
    'parent_fv': 'tc_receiver1',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['tc_receiver1']['interfaces']['receiver1_TC']['paramsInOrdered'] = ['tc']

functions['tc_receiver1']['interfaces']['receiver1_TC']['paramsOutOrdered'] = []

functions['tc_receiver1']['interfaces']['receiver1_TC']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'receiver1_TC',
    'param_direction': param_in
}

functions['tc_receiver1']['interfaces']['send1_TM'] = {
    'port_name': 'send1_TM',
    'parent_fv': 'tc_receiver1',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tc_dispatcher',
    'calling_threads': {},
    'distant_name': 'send1_TM',
    'queue_size': 1
}

functions['tc_receiver1']['interfaces']['send1_TM']['paramsInOrdered'] = ['tm']

functions['tc_receiver1']['interfaces']['send1_TM']['paramsOutOrdered'] = []

functions['tc_receiver1']['interfaces']['send1_TM']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'send1_TM',
    'param_direction': param_in
}

functions['tc_receiver2'] = {
    'name_with_case' : 'TC_receiver2',
    'runtime_nature': thread,
    'language': OG,
    'zipfile': '',
    'interfaces': {},
    'functional_states' : {}
}

functions['tc_receiver2']['interfaces']['receiver2_TC'] = {
    'port_name': 'receiver2_TC',
    'parent_fv': 'tc_receiver2',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['tc_receiver2']['interfaces']['receiver2_TC']['paramsInOrdered'] = ['tc']

functions['tc_receiver2']['interfaces']['receiver2_TC']['paramsOutOrdered'] = []

functions['tc_receiver2']['interfaces']['receiver2_TC']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'receiver2_TC',
    'param_direction': param_in
}

functions['tc_receiver2']['interfaces']['send2_TM'] = {
    'port_name': 'send2_TM',
    'parent_fv': 'tc_receiver2',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tc_dispatcher',
    'calling_threads': {},
    'distant_name': 'send2_TM',
    'queue_size': 1
}

functions['tc_receiver2']['interfaces']['send2_TM']['paramsInOrdered'] = ['tm']

functions['tc_receiver2']['interfaces']['send2_TM']['paramsOutOrdered'] = []

functions['tc_receiver2']['interfaces']['send2_TM']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': NATIVE,
    'interface': 'send2_TM',
    'param_direction': param_in
}

functions['tmtc_driver'] = {
    'name_with_case' : 'tmtc_driver',
    'runtime_nature': thread,
    'language': C,
    'zipfile': '',
    'interfaces': {},
    'functional_states' : {}
}

functions['tmtc_driver']['interfaces']['sendTMtoDriver'] = {
    'port_name': 'sendTMtoDriver',
    'parent_fv': 'tmtc_driver',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['tmtc_driver']['interfaces']['sendTMtoDriver']['paramsInOrdered'] = ['tm']

functions['tmtc_driver']['interfaces']['sendTMtoDriver']['paramsOutOrdered'] = []

functions['tmtc_driver']['interfaces']['sendTMtoDriver']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'sendTMtoDriver',
    'param_direction': param_in
}

functions['tmtc_driver']['interfaces']['receiveTCfromGround'] = {
    'port_name': 'receiveTCfromGround',
    'parent_fv': 'tmtc_driver',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': variator,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['tmtc_driver']['interfaces']['receiveTCfromGround']['paramsInOrdered'] = ['tc']

functions['tmtc_driver']['interfaces']['receiveTCfromGround']['paramsOutOrdered'] = []

functions['tmtc_driver']['interfaces']['receiveTCfromGround']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'receiveTCfromGround',
    'param_direction': param_in
}

functions['tmtc_driver']['interfaces']['receiveTCfromDriver'] = {
    'port_name': 'receiveTCfromDriver',
    'parent_fv': 'tmtc_driver',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tc_dispatcher',
    'calling_threads': {},
    'distant_name': 'receiveTCfromDriver',
    'queue_size': 1
}

functions['tmtc_driver']['interfaces']['receiveTCfromDriver']['paramsInOrdered'] = ['tc']

functions['tmtc_driver']['interfaces']['receiveTCfromDriver']['paramsOutOrdered'] = []

functions['tmtc_driver']['interfaces']['receiveTCfromDriver']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'receiveTCfromDriver',
    'param_direction': param_in
}

functions['tmtc_driver']['interfaces']['sendTMtoGround'] = {
    'port_name': 'sendTMtoGround',
    'parent_fv': 'tmtc_driver',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'ground_network',
    'calling_threads': {},
    'distant_name': 'receiveTMfromSC',
    'queue_size': 1
}

functions['tmtc_driver']['interfaces']['sendTMtoGround']['paramsInOrdered'] = ['tm']

functions['tmtc_driver']['interfaces']['sendTMtoGround']['paramsOutOrdered'] = []

functions['tmtc_driver']['interfaces']['sendTMtoGround']['in']['tm'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'sendTMtoGround',
    'param_direction': param_in
}

functions['ground_network'] = {
    'name_with_case' : 'ground_network',
    'runtime_nature': thread,
    'language': C,
    'zipfile': '',
    'interfaces': {},
    'functional_states' : {}
}

functions['ground_network']['interfaces']['receiveTMfromSC'] = {
    'port_name': 'receiveTMfromSC',
    'parent_fv': 'ground_network',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['ground_network']['interfaces']['receiveTMfromSC']['paramsInOrdered'] = ['tm']

functions['ground_network']['interfaces']['receiveTMfromSC']['paramsOutOrdered'] = []

functions['ground_network']['interfaces']['receiveTMfromSC']['in']['tm'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'receiveTMfromSC',
    'param_direction': param_in
}

functions['ground_network']['interfaces']['receiveTCfromGround'] = {
    'port_name': 'receiveTCfromGround',
    'parent_fv': 'ground_network',
    'direction': PI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': variator,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': 'ms',
    'wcet_high': 0,
    'wcet_high_unit': 'ms',
    'distant_fv': '',
    'calling_threads': {},
    'distant_name': '',
    'queue_size': 1
}

functions['ground_network']['interfaces']['receiveTCfromGround']['paramsInOrdered'] = ['tm']

functions['ground_network']['interfaces']['receiveTCfromGround']['paramsOutOrdered'] = []

functions['ground_network']['interfaces']['receiveTCfromGround']['in']['tm'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'receiveTCfromGround',
    'param_direction': param_in
}

functions['ground_network']['interfaces']['sendTCtoSC'] = {
    'port_name': 'sendTCtoSC',
    'parent_fv': 'ground_network',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'tmtc_driver',
    'calling_threads': {},
    'distant_name': 'receiveTCfromGround',
    'queue_size': 1
}

functions['ground_network']['interfaces']['sendTCtoSC']['paramsInOrdered'] = ['tc']

functions['ground_network']['interfaces']['sendTCtoSC']['paramsOutOrdered'] = []

functions['ground_network']['interfaces']['sendTCtoSC']['in']['tc'] = {
    'type': 'T_telecommand',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'sendTCtoSC',
    'param_direction': param_in
}

functions['ground_network']['interfaces']['sendTMtoGround'] = {
    'port_name': 'sendTMtoGround',
    'parent_fv': 'ground_network',
    'direction': RI,
    'in': {},
    'out': {},
    'synchronism': asynch,
    'rcm': sporadic,
    'period': 0,
    'wcet_low': 0,
    'wcet_low_unit': '',
    'wcet_high': 0,
    'wcet_high_unit': '',
    'distant_fv': 'ground',
    'calling_threads': {},
    'distant_name': 'sendTMtoGround',
    'queue_size': 1
}

functions['ground_network']['interfaces']['sendTMtoGround']['paramsInOrdered'] = ['tm']

functions['ground_network']['interfaces']['sendTMtoGround']['paramsOutOrdered'] = []

functions['ground_network']['interfaces']['sendTMtoGround']['in']['tm'] = {
    'type': 'T_telemetry',
    'asn1_module': 'taste_dataview',
    'basic_type': sequence,
    'asn1_filename': './dataview-uniq.asn',
    'encoding': ACN,
    'interface': 'sendTMtoGround',
    'param_direction': param_in
}
